|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.apache.commons.workflow.base.BaseStep
org.apache.commons.workflow.base.DescriptorStep
org.apache.commons.workflow.web.PopulateStep
public class PopulateStep
For each associated Descriptor, populate the properties
of the bean specified by that descriptor from the request parameters of
the current request.
| Field Summary |
|---|
| Fields inherited from class org.apache.commons.workflow.base.DescriptorStep |
|---|
descriptors |
| Fields inherited from class org.apache.commons.workflow.base.BaseStep |
|---|
id, nextStep, owner, previousStep |
| Constructor Summary | |
|---|---|
PopulateStep()
Construct a default instance of this Step. |
|
PopulateStep(String id)
Construct an instance of this Step with the specified identifier. |
|
PopulateStep(String id,
Descriptor descriptor)
Construct an instance of this Step with the specified identifier and associated Descriptor. |
|
| Method Summary | |
|---|---|
void |
execute(Context context)
Perform the executable actions related to this Step, in the context of the specified Context. |
String |
toString()
Render a string representation of this Step. |
| Methods inherited from class org.apache.commons.workflow.base.DescriptorStep |
|---|
addDescriptor, findDescriptors, removeDescriptor |
| Methods inherited from class org.apache.commons.workflow.base.BaseStep |
|---|
getId, getNextStep, getOwner, getPreviousStep, setId, setNextStep, setOwner, setPreviousStep |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait |
| Constructor Detail |
|---|
public PopulateStep()
public PopulateStep(String id)
id - Step identifier
public PopulateStep(String id,
Descriptor descriptor)
id - Step identifierdescriptor - Initial descriptor| Method Detail |
|---|
public void execute(Context context)
throws StepException
execute in interface Stepexecute in class BaseStepcontext - The Context that is tracking our execution state
StepException - if a processing error has occurredpublic String toString()
toString in class Object
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||